Вопрос по – Когда API Box v1 перестанет функционировать?

3

Я пытаюсь определить, какую версию Box API я должен использовать. Мое решение зависит от графика EOL API v1. Я не хочу завершать работу над моим приложением, и незадолго до (или вскоре после) выпуска приложения API v1 перестает работать.

Я бы с удовольствием использовал API v2, но я пишу приложение на C #. Поскольку для API v1 существует C # SDK, было бы удобнее (в краткосрочной перспективе) использовать v1 API; но, как я уже сказал, меня беспокоит EOL API v1.

Пожалуйста, учтите, чтоStack Overflow is not a Crystal Ball а такжеStack Overflow is not a proxy for customer support. Filburt
Я понимаю, что Филбурт, но на сайте Box нет информации, касающейся этой конкретной проблемы. Форумы в Box указывают на StackOverflow. Vance-Turner

Ваш Ответ

1   ответ
7

делан общедоступным (GA) за год до этого и был выпущен в бета-версии в марте 2012 года.

Мы продлили нашу поддержку для всех активно используемых приложений, построенных на API v1, еще на 3 месяца, после чего поддержка API v1 была прекращена.

API v2 теперь хорошо себя зарекомендовал, имеет примерно в 3 раза большую производительность, а также на 10-20% большую площадь поверхности, которую он предоставляет для использования.

Спасибо за подробный ответ. Vance-Turner
Официально API V1 устарел 15 декабря 2013 года. Документация по миграции была опубликована в начале 2013 года и обновлена до октября 2013 года.

Похожие вопросы